> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an integration field mappings

> Update an integration field mappings

### Path parameters

<ParamField path="id" type="string" required>
  Field mapping ID
</ParamField>

### Request body

`UpdateFieldMappingRequest`

<ParamField body="destination_field" type="string,null" />

<ParamField body="fallback" type="string,null" />

<ParamField body="is_active" type="boolean,null" />

<ParamField body="template" type="string,null" />

<ParamField body="transform" type="string,null" />

### Responses

<ResponseField name="200" type="FieldMappingResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/integration-field-mappings/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "destination_field": null,
    "fallback": null,
    "is_active": null,
    "template": null,
    "transform": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "destination_field": "string",
    "fallback": null,
    "id": "string",
    "integration_account": "string",
    "is_active": true,
    "mapping_group": "string",
    "source_field": "string",
    "template": null,
    "transform": "string"
  }
  ```
</ResponseExample>
